//
// Created by zoe on 12/20/22.
//

#ifndef HOST_CENTRAL_MAST_LTECONNECTIONEXCEPTION_HPP
#define HOST_CENTRAL_MAST_LTECONNECTIONEXCEPTION_HPP

#include <exception>
#include <string>

class LTEConnectionException : public std::exception {
public:
    explicit LTEConnectionException(const std::string &message) : message(message) {}

    const char *what() const noexcept override {
        return message.c_str();
    }

private:
    std::string message;
};

#endif //HOST_CENTRAL_MAST_LTECONNECTIONEXCEPTION_HPP
